# SignRequestEx

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**key** | [**SobjectDescriptor**](SobjectDescriptor.md) |  | 
**hash_alg** | [**DigestAlgorithm**](DigestAlgorithm.md) |  | 
**hash** | **bytearray** | Hash of the data to be signed. Exactly one of &#x60;hash&#x60; and &#x60;data&#x60; is required.  | [optional] 
**data** | **bytearray** | Data to be signed. Exactly one of &#x60;hash&#x60; and &#x60;data&#x60; is required. To reduce request size and avoid reaching the request size limit, prefer &#x60;hash&#x60;.  | [optional] 
**mode** | [**SignatureMode**](SignatureMode.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


