# User

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**user_id** | **str** | User ID uniquely identifying this user. | 
**user_email** | **str** | The User&#39;s email address. | 
**state** | [**UserState**](UserState.md) |  | 
**account_role** | [**list[UserAccountFlags]**](UserAccountFlags.md) |  | [optional] 
**groups** | [**UserGroupMap**](UserGroupMap.md) |  | 
**enabled** | **bool** | Whether this user&#39;s account is enabled. | 
**email_verified** | **bool** | Whether this user&#39;s email has been verified. | 
**created_at** | **str** | When this user was added to SDKMS. | 
**last_logged_in_at** | **str** | When this user last logged in. | [optional] 
**u2f_devices** | [**list[U2fDevice]**](U2fDevice.md) |  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


